using UnityEngine;
using System.Collections.Generic;
using ScrambleKit.Extensions;

public class BodyColor : MonoBehaviour
{
    public List<Color> HairColors;
    public List<Color> SkinTones;

    public SpriteRenderer Hair;
    public List<SpriteRenderer> Parts;

    private Color hairColor;
    private Color skinTone;

	void Start () 
	{
        hairColor = HairColors.DrawFromAtRandom();
        skinTone = SkinTones.DrawFromAtRandom();

        Hair.color = hairColor;
        foreach (SpriteRenderer r in Parts)
            r.color = skinTone;
	}
}
